Jump to content
  • Advertisement
Sign in to follow this  
albertkhor

compile problem

This topic is 4871 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

i'm using Microsoft Visual C++ version 6 and directX 9 SDK (Octorber 2004) when i compile my workspace below problem occur. can anyone tell me what should i do to fix this problem? anything i need to install? --------------------Configuration: Engine - Win32 Debug-------------------- Compiling... Engine.cpp c:\program files\microsoft directx 9.0 sdk (october 2004)\include\dsound.h(305) : error C2146: syntax error : missing ';' before identifier 'dwReserved1' c:\program files\microsoft directx 9.0 sdk (october 2004)\include\dsound.h(305) : error C2501: 'DWORD_PTR' : missing storage-class or type specifiers c:\program files\microsoft directx 9.0 sdk (october 2004)\include\dsound.h(305) : error C2501: 'dwReserved1' : missing storage-class or type specifiers c:\program files\microsoft directx 9.0 sdk (october 2004)\include\dsound.h(306) : error C2146: syntax error : missing ';' before identifier 'dwReserved2' c:\program files\microsoft directx 9.0 sdk (october 2004)\include\dsound.h(306) : error C2501: 'DWORD_PTR' : missing storage-class or type specifiers c:\program files\microsoft directx 9.0 sdk (october 2004)\include\dsound.h(306) : error C2501: 'dwReserved2' : missing storage-class or type specifiers Engine.exe - 6 error(s), 0 warning(s)

Share this post


Link to post
Share on other sites
Advertisement
Do you have an updated platform SDK? IIRC, the October SDK won't work with the one shipped with VC++ 6.0. A platform SDK that I know for sure will work with VC++ 6.0 is the February 2003 one, you can download it from msdn.

Share this post


Link to post
Share on other sites
The October SDK 2004 ships without VC++ 6.0 support but you can download the Extras package with chinese manual etc. I think. This extras package includes a VC++6.0 Lib folder with libs for the VC++ 6.0 compiler.

Link:
http://www.microsoft.com/downloads/details.aspx?FamilyID=d6f237de-a6ee-4ded-8bb6-139536162eb8&displaylang=en


In order to get it running ... just replace the default libs(after backupping them in a subfolder(you never know if you'll need them)) in your DX root with those of the extras package.

Hope I could help.

cheers,
Marcel

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

We are the game development community.

Whether you are an indie, hobbyist, AAA developer, or just trying to learn, GameDev.net is the place for you to learn, share, and connect with the games industry. Learn more About Us or sign up!

Sign me up!